/api/member/notes
get
Get notes for a member
Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
memberidintegerOptional
startintegerOptionalDefault:
0countintegerOptionalDefault:
50Responses
200
success
successbooleanOptionalExample:
trueget/api/member/notes
PHP (cURL)<?php
$headers = array( //set your username and API key here
'api-key: 44b5498dbcb481a0d00b404c0169af62',
'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here
$data = array(
'memberid' => '3',
'start' => 0,
'count' => 100
);
$request = array(
'method' => 'GET',
'path' => 'member/notes',
'data' => $data
);
/*code below is the same for (almost) every API call */
$curl = curl_init();
$url = $url.'/api/'.$request['path'];
$query = http_build_query($request['data']);
if($request['method'] == 'GET'){
//add query string parameters to the end of the url
$url = $url.'?'.$query;
}else{
//send parameters as POST fields
curl_setopt($curl, CURLOPT_POST, 1);
curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
if($request['method'] != 'POST'){
$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>200
success
{
"total_count": "5",
"notes": [
{
"member_note_id": "2",
"note_type_id": "2",
"memberid": "3",
"loginid": "1",
"stamp": "1565382564",
"parentid": "0",
"note": "this is a test note",
"loginid_nice": "productsupport",
"note_type": "User"
},
{
"member_note_id": "3",
"note_type_id": "2",
"memberid": "3",
"loginid": "1",
"stamp": "1565382564",
"parentid": "0",
"note": "productsupport (1) updated the member through the API with the following changes:<br />address1 changed from (blank) to 123 address street<br />city changed from (blank) to testCity<br />state changed from (blank) to NJ<br />country changed from (blank) to USA<br />zip changed from (blank) to 12345",
"loginid_nice": "productsupport",
"note_type": "User"
},
{
"member_note_id": "4",
"note_type_id": "2",
"memberid": "3",
"loginid": "1",
"stamp": "1565382564",
"parentid": "0",
"note": "productsupport (1) changed the expiration date via the API. <br />NATS:3 (3) was changed from 2020-06-10 00:00:00 to 2020-06-05 00:00:00<br />",
"loginid_nice": "productsupport",
"note_type": "User"
},
{
"member_note_id": "5",
"note_type_id": "2",
"memberid": "3",
"loginid": "1",
"stamp": "1565382564",
"parentid": "0",
"note": "Member Locked",
"loginid_nice": "productsupport",
"note_type": "User"
},
{
"member_note_id": "6",
"note_type_id": "2",
"memberid": "3",
"loginid": "1",
"stamp": "1565382564",
"parentid": "0",
"note": "Member Unlocked",
"loginid_nice": "productsupport",
"note_type": "User"
}
],
"note_types": [
{
"note_type_id": 1,
"type": "System"
},
{
"note_type_id": 2,
"type": "User"
}
],
"success": true
}Last updated
Was this helpful?